How to Install 0ad in Ubuntu 18.04 LTS Bionic Beaver


Package Description: Real-time strategy game of ancient warfare

Version: 0.0.22-4

Repository: universe

OS: Ubuntu 18.04 LTS Bionic Beaver


Install Instructions of 0ad on Ubuntu 18.04.

Install 0ad by entering the following commands in the terminal

Step 1

Update package repositories (click to copy)

sudo apt update -y
Copied

Step 2

Install the packages and dependencies.(click to copy)

sudo apt install -y 0ad
Copied

Dependent Packages (you may have to install the packages below if it is not installed automatically or is not available on your computer) :

  • libgloox15 (C++ jabber/xmpp library )
  • libnspr4 (>= 2:4.9.2) (NetScape Portable Runtime Library )
  • libboost-system1.65.1 [not armhf] (Operating system (e.g. diagnostics support) library )
  • libxml2 (>= 2.9.0) (GNOME XML library )
  • libx11-6 (X11 client-side library )
  • libboost-filesystem1.65.1 (filesystem operations (portable paths, iteration over directories, etc) in C++ )
  • libopenal1 (>= 1.14) (Software implementation of the OpenAL audio API (shared library) )
  • libc6 (>= 2.15) (GNU C Library: Shared libraries also a virtual package provided by libc6-udeb )
  • libpng16-16 (>= 1.6.2-1) (PNG library - runtime (version 1.6) )
  • libxcursor1 (>> 1.1.2) (X cursor management library )
  • 0ad-data-common (<= 0.0.22-4) (Real-time strategy game of ancient warfare (common data files) )
  • libstdc++6 (>= 5.2) (GNU Standard C++ Library v3 )
  • libicu60 (>= 60.1-1~) (International Components for Unicode )
  • libminiupnpc10 (>= 1.9.20140610) (UPnP IGD client lightweight library )
  • libwxgtk3.0-0v5 (>= 3.0.3.1+dfsg2) (wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime) )
  • libwxbase3.0-0v5 (>= 3.0.3.1+dfsg2) (wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit )
  • libsdl2-2.0-0 (>= 2.0.7) (Simple DirectMedia Layer )
  • 0ad-data (<= 0.0.22-4) (Real-time strategy game of ancient warfare (data files) )
  • libgcc1 (>= 1:3.4) [amd64] (GCC support library )
  • libvorbisfile3 (>= 1.1.2) (high-level API for Vorbis General Audio Compression Codec )
  • zlib1g (>= 1:1.2.0) (compression library - runtime )
  • dpkg (>= 1.15.6~) (Debian package management system )
  • libenet7 (thin network communication layer on top of UDP )
  • libgl1-mesa-glx (transitional dummy package )
  • libnvtt2 (NVIDIA Texture Tools )
  • libcurl3-gnutls (>= 7.16.2) (easy-to-use client-side URL transfer library (GnuTLS flavour) )


Similar packages

0ad

Real-time strategy game of ancient warfare

0ad-data

Real-time strategy game of ancient warfare (data files)

0ad-data-common

Real-time strategy game of ancient warfare (common data files)

0ad-dbg

Real-time strategy game of ancient warfare (debug)

libghc-bytestring-dev-0.10.6.0-40ad3

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-bytestring-prof-0.10.6.0-40ad3

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-hspec-dev-2.2.1-740ad

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-hspec-prof-2.2.1-740ad

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-monadcryptorandom-dev-0.7.0-0ad40

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-monadcryptorandom-prof-0.7.0-0ad40

This is a virtual package. See the Debian policy for a definition of virtual packages.